Search

Get search job details

Retrieve the full details and results for a completed search job

GET
/v1/search/{job_id}

Retrieve the full details and results for a completed search job

Authorization

ApiKeyAuth
X-Api-Key<token>

In: header

Path Parameters

job_id*Job Id

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "query": "string",
  "locale": "string",
  "page": 0,
  "safe": "off",
  "time_range": "day",
  "status": "queued",
  "results": [
    {
      "position": 0,
      "title": "string",
      "url": "string",
      "snippet": "",
      "thumbnail": "string",
      "displayed_url": "string",
      "source_host": "string"
    }
  ],
  "results_count": 0,
  "suggestions": [
    "string"
  ],
  "spelling_correction": "string",
  "attempts": 0,
  "final_url": "string",
  "duration_ms": 0,
  "tokens_charged": 0,
  "block_reason": "string",
  "error_code": "string",
  "error_message": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "completed_at": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}